[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TOwnerDataListItems.Clear

Frees and Nils the list items stored in the container.

## Declaration

Source position: comctrls.pp line 1201

`public procedure TOwnerDataListItems.Clear; override;`

## Description

Clear is an overridden method in TOwnerDataListItems. It reimplements the method introduced in the ancestor class (TListItems) to free and Nil each of the TListItem instances stored in the internal storage for the container. Prior to exit, the Count property is set to 0.

Clear does not call the inherited method.

## See also

TListItems.Clear |  | Removes all list item instances stored in the container.
TListItems.Count |  | The number of TListItem instances stored in the container.
TListItem |  | Represents the items created in TCustomListView and descendants.